Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/28
Addresses2^100
/64 networks2^36
Network
ffca:720::/28
First address
ffca:720::
Last address
ffca:72f:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
1,267,650,600,228,229,401,496,703,205,376 (2^100)
/64 networks (LANs)
68,719,476,736 (2^36)
Full form
ffca:0720:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
2.7.0.a.c.f.f.ip6.arpa
Split into smaller subnets/36

ffca:720::/28 makes 256 subnets of /36.

Subnets
#SubnetLast address
1ffca:720::/36ffca:720:fff:ffff:ffff:ffff:ffff:ffff
2ffca:720:1000::/36ffca:720:1fff:ffff:ffff:ffff:ffff:ffff
3ffca:720:2000::/36ffca:720:2fff:ffff:ffff:ffff:ffff:ffff
4ffca:720:3000::/36ffca:720:3fff:ffff:ffff:ffff:ffff:ffff
5ffca:720:4000::/36ffca:720:4fff:ffff:ffff:ffff:ffff:ffff
6ffca:720:5000::/36ffca:720:5fff:ffff:ffff:ffff:ffff:ffff
7ffca:720:6000::/36ffca:720:6fff:ffff:ffff:ffff:ffff:ffff
8ffca:720:7000::/36ffca:720:7fff:ffff:ffff:ffff:ffff:ffff
9ffca:720:8000::/36ffca:720:8fff:ffff:ffff:ffff:ffff:ffff
10ffca:720:9000::/36ffca:720:9fff:ffff:ffff:ffff:ffff:ffff
11ffca:720:a000::/36ffca:720:afff:ffff:ffff:ffff:ffff:ffff
12ffca:720:b000::/36ffca:720:bfff:ffff:ffff:ffff:ffff:ffff
13ffca:720:c000::/36ffca:720:cfff:ffff:ffff:ffff:ffff:ffff
14ffca:720:d000::/36ffca:720:dfff:ffff:ffff:ffff:ffff:ffff
15ffca:720:e000::/36ffca:720:efff:ffff:ffff:ffff:ffff:ffff
16ffca:720:f000::/36ffca:720:ffff:ffff:ffff:ffff:ffff:ffff
17ffca:721::/36ffca:721:fff:ffff:ffff:ffff:ffff:ffff
18ffca:721:1000::/36ffca:721:1fff:ffff:ffff:ffff:ffff:ffff
19ffca:721:2000::/36ffca:721:2fff:ffff:ffff:ffff:ffff:ffff
20ffca:721:3000::/36ffca:721:3fff:ffff:ffff:ffff:ffff:ffff
21ffca:721:4000::/36ffca:721:4fff:ffff:ffff:ffff:ffff:ffff
22ffca:721:5000::/36ffca:721:5fff:ffff:ffff:ffff:ffff:ffff
23ffca:721:6000::/36ffca:721:6fff:ffff:ffff:ffff:ffff:ffff
24ffca:721:7000::/36ffca:721:7fff:ffff:ffff:ffff:ffff:ffff
25ffca:721:8000::/36ffca:721:8fff:ffff:ffff:ffff:ffff:ffff
26ffca:721:9000::/36ffca:721:9fff:ffff:ffff:ffff:ffff:ffff
27ffca:721:a000::/36ffca:721:afff:ffff:ffff:ffff:ffff:ffff
28ffca:721:b000::/36ffca:721:bfff:ffff:ffff:ffff:ffff:ffff
29ffca:721:c000::/36ffca:721:cfff:ffff:ffff:ffff:ffff:ffff
30ffca:721:d000::/36ffca:721:dfff:ffff:ffff:ffff:ffff:ffff
31ffca:721:e000::/36ffca:721:efff:ffff:ffff:ffff:ffff:ffff
32ffca:721:f000::/36ffca:721:ffff:ffff:ffff:ffff:ffff:ffff
33ffca:722::/36ffca:722:fff:ffff:ffff:ffff:ffff:ffff
34ffca:722:1000::/36ffca:722:1fff:ffff:ffff:ffff:ffff:ffff
35ffca:722:2000::/36ffca:722:2fff:ffff:ffff:ffff:ffff:ffff
36ffca:722:3000::/36ffca:722:3fff:ffff:ffff:ffff:ffff:ffff
37ffca:722:4000::/36ffca:722:4fff:ffff:ffff:ffff:ffff:ffff
38ffca:722:5000::/36ffca:722:5fff:ffff:ffff:ffff:ffff:ffff
39ffca:722:6000::/36ffca:722:6fff:ffff:ffff:ffff:ffff:ffff
40ffca:722:7000::/36ffca:722:7fff:ffff:ffff:ffff:ffff:ffff
41ffca:722:8000::/36ffca:722:8fff:ffff:ffff:ffff:ffff:ffff
42ffca:722:9000::/36ffca:722:9fff:ffff:ffff:ffff:ffff:ffff
43ffca:722:a000::/36ffca:722:afff:ffff:ffff:ffff:ffff:ffff
44ffca:722:b000::/36ffca:722:bfff:ffff:ffff:ffff:ffff:ffff
45ffca:722:c000::/36ffca:722:cfff:ffff:ffff:ffff:ffff:ffff
46ffca:722:d000::/36ffca:722:dfff:ffff:ffff:ffff:ffff:ffff
47ffca:722:e000::/36ffca:722:efff:ffff:ffff:ffff:ffff:ffff
48ffca:722:f000::/36ffca:722:ffff:ffff:ffff:ffff:ffff:ffff
49ffca:723::/36ffca:723:fff:ffff:ffff:ffff:ffff:ffff
50ffca:723:1000::/36ffca:723:1fff:ffff:ffff:ffff:ffff:ffff
51ffca:723:2000::/36ffca:723:2fff:ffff:ffff:ffff:ffff:ffff
52ffca:723:3000::/36ffca:723:3fff:ffff:ffff:ffff:ffff:ffff
53ffca:723:4000::/36ffca:723:4fff:ffff:ffff:ffff:ffff:ffff
54ffca:723:5000::/36ffca:723:5fff:ffff:ffff:ffff:ffff:ffff
55ffca:723:6000::/36ffca:723:6fff:ffff:ffff:ffff:ffff:ffff
56ffca:723:7000::/36ffca:723:7fff:ffff:ffff:ffff:ffff:ffff
57ffca:723:8000::/36ffca:723:8fff:ffff:ffff:ffff:ffff:ffff
58ffca:723:9000::/36ffca:723:9fff:ffff:ffff:ffff:ffff:ffff
59ffca:723:a000::/36ffca:723:afff:ffff:ffff:ffff:ffff:ffff
60ffca:723:b000::/36ffca:723:bfff:ffff:ffff:ffff:ffff:ffff
61ffca:723:c000::/36ffca:723:cfff:ffff:ffff:ffff:ffff:ffff
62ffca:723:d000::/36ffca:723:dfff:ffff:ffff:ffff:ffff:ffff
63ffca:723:e000::/36ffca:723:efff:ffff:ffff:ffff:ffff:ffff
64ffca:723:f000::/36ffca:723:ffff:ffff:ffff:ffff:ffff:ffff
65ffca:724::/36ffca:724:fff:ffff:ffff:ffff:ffff:ffff
66ffca:724:1000::/36ffca:724:1fff:ffff:ffff:ffff:ffff:ffff
67ffca:724:2000::/36ffca:724:2fff:ffff:ffff:ffff:ffff:ffff
68ffca:724:3000::/36ffca:724:3fff:ffff:ffff:ffff:ffff:ffff
69ffca:724:4000::/36ffca:724:4fff:ffff:ffff:ffff:ffff:ffff
70ffca:724:5000::/36ffca:724:5fff:ffff:ffff:ffff:ffff:ffff
71ffca:724:6000::/36ffca:724:6fff:ffff:ffff:ffff:ffff:ffff
72ffca:724:7000::/36ffca:724:7fff:ffff:ffff:ffff:ffff:ffff
73ffca:724:8000::/36ffca:724:8fff:ffff:ffff:ffff:ffff:ffff
74ffca:724:9000::/36ffca:724:9fff:ffff:ffff:ffff:ffff:ffff
75ffca:724:a000::/36ffca:724:afff:ffff:ffff:ffff:ffff:ffff
76ffca:724:b000::/36ffca:724:bfff:ffff:ffff:ffff:ffff:ffff
77ffca:724:c000::/36ffca:724:cfff:ffff:ffff:ffff:ffff:ffff
78ffca:724:d000::/36ffca:724:dfff:ffff:ffff:ffff:ffff:ffff
79ffca:724:e000::/36ffca:724:efff:ffff:ffff:ffff:ffff:ffff
80ffca:724:f000::/36ffca:724:ffff:ffff:ffff:ffff:ffff:ffff
81ffca:725::/36ffca:725:fff:ffff:ffff:ffff:ffff:ffff
82ffca:725:1000::/36ffca:725:1fff:ffff:ffff:ffff:ffff:ffff
83ffca:725:2000::/36ffca:725:2fff:ffff:ffff:ffff:ffff:ffff
84ffca:725:3000::/36ffca:725:3fff:ffff:ffff:ffff:ffff:ffff
85ffca:725:4000::/36ffca:725:4fff:ffff:ffff:ffff:ffff:ffff
86ffca:725:5000::/36ffca:725:5fff:ffff:ffff:ffff:ffff:ffff
87ffca:725:6000::/36ffca:725:6fff:ffff:ffff:ffff:ffff:ffff
88ffca:725:7000::/36ffca:725:7fff:ffff:ffff:ffff:ffff:ffff
89ffca:725:8000::/36ffca:725:8fff:ffff:ffff:ffff:ffff:ffff
90ffca:725:9000::/36ffca:725:9fff:ffff:ffff:ffff:ffff:ffff
91ffca:725:a000::/36ffca:725:afff:ffff:ffff:ffff:ffff:ffff
92ffca:725:b000::/36ffca:725:bfff:ffff:ffff:ffff:ffff:ffff
93ffca:725:c000::/36ffca:725:cfff:ffff:ffff:ffff:ffff:ffff
94ffca:725:d000::/36ffca:725:dfff:ffff:ffff:ffff:ffff:ffff
95ffca:725:e000::/36ffca:725:efff:ffff:ffff:ffff:ffff:ffff
96ffca:725:f000::/36ffca:725:ffff:ffff:ffff:ffff:ffff:ffff
97ffca:726::/36ffca:726:fff:ffff:ffff:ffff:ffff:ffff
98ffca:726:1000::/36ffca:726:1fff:ffff:ffff:ffff:ffff:ffff
99ffca:726:2000::/36ffca:726:2fff:ffff:ffff:ffff:ffff:ffff
100ffca:726:3000::/36ffca:726:3fff:ffff:ffff:ffff:ffff:ffff
101ffca:726:4000::/36ffca:726:4fff:ffff:ffff:ffff:ffff:ffff
102ffca:726:5000::/36ffca:726:5fff:ffff:ffff:ffff:ffff:ffff
103ffca:726:6000::/36ffca:726:6fff:ffff:ffff:ffff:ffff:ffff
104ffca:726:7000::/36ffca:726:7fff:ffff:ffff:ffff:ffff:ffff
105ffca:726:8000::/36ffca:726:8fff:ffff:ffff:ffff:ffff:ffff
106ffca:726:9000::/36ffca:726:9fff:ffff:ffff:ffff:ffff:ffff
107ffca:726:a000::/36ffca:726:afff:ffff:ffff:ffff:ffff:ffff
108ffca:726:b000::/36ffca:726:bfff:ffff:ffff:ffff:ffff:ffff
109ffca:726:c000::/36ffca:726:cfff:ffff:ffff:ffff:ffff:ffff
110ffca:726:d000::/36ffca:726:dfff:ffff:ffff:ffff:ffff:ffff
111ffca:726:e000::/36ffca:726:efff:ffff:ffff:ffff:ffff:ffff
112ffca:726:f000::/36ffca:726:ffff:ffff:ffff:ffff:ffff:ffff
113ffca:727::/36ffca:727:fff:ffff:ffff:ffff:ffff:ffff
114ffca:727:1000::/36ffca:727:1fff:ffff:ffff:ffff:ffff:ffff
115ffca:727:2000::/36ffca:727:2fff:ffff:ffff:ffff:ffff:ffff
116ffca:727:3000::/36ffca:727:3fff:ffff:ffff:ffff:ffff:ffff
117ffca:727:4000::/36ffca:727:4fff:ffff:ffff:ffff:ffff:ffff
118ffca:727:5000::/36ffca:727:5fff:ffff:ffff:ffff:ffff:ffff
119ffca:727:6000::/36ffca:727:6fff:ffff:ffff:ffff:ffff:ffff
120ffca:727:7000::/36ffca:727:7fff:ffff:ffff:ffff:ffff:ffff
121ffca:727:8000::/36ffca:727:8fff:ffff:ffff:ffff:ffff:ffff
122ffca:727:9000::/36ffca:727:9fff:ffff:ffff:ffff:ffff:ffff
123ffca:727:a000::/36ffca:727:afff:ffff:ffff:ffff:ffff:ffff
124ffca:727:b000::/36ffca:727:bfff:ffff:ffff:ffff:ffff:ffff
125ffca:727:c000::/36ffca:727:cfff:ffff:ffff:ffff:ffff:ffff
126ffca:727:d000::/36ffca:727:dfff:ffff:ffff:ffff:ffff:ffff
127ffca:727:e000::/36ffca:727:efff:ffff:ffff:ffff:ffff:ffff
128ffca:727:f000::/36ffca:727:ffff:ffff:ffff:ffff:ffff:ffff
129ffca:728::/36ffca:728:fff:ffff:ffff:ffff:ffff:ffff
130ffca:728:1000::/36ffca:728:1fff:ffff:ffff:ffff:ffff:ffff
131ffca:728:2000::/36ffca:728:2fff:ffff:ffff:ffff:ffff:ffff
132ffca:728:3000::/36ffca:728:3fff:ffff:ffff:ffff:ffff:ffff
133ffca:728:4000::/36ffca:728:4fff:ffff:ffff:ffff:ffff:ffff
134ffca:728:5000::/36ffca:728:5fff:ffff:ffff:ffff:ffff:ffff
135ffca:728:6000::/36ffca:728:6fff:ffff:ffff:ffff:ffff:ffff
136ffca:728:7000::/36ffca:728:7fff:ffff:ffff:ffff:ffff:ffff
137ffca:728:8000::/36ffca:728:8fff:ffff:ffff:ffff:ffff:ffff
138ffca:728:9000::/36ffca:728:9fff:ffff:ffff:ffff:ffff:ffff
139ffca:728:a000::/36ffca:728:afff:ffff:ffff:ffff:ffff:ffff
140ffca:728:b000::/36ffca:728:bfff:ffff:ffff:ffff:ffff:ffff
141ffca:728:c000::/36ffca:728:cfff:ffff:ffff:ffff:ffff:ffff
142ffca:728:d000::/36ffca:728:dfff:ffff:ffff:ffff:ffff:ffff
143ffca:728:e000::/36ffca:728:efff:ffff:ffff:ffff:ffff:ffff
144ffca:728:f000::/36ffca:728:ffff:ffff:ffff:ffff:ffff:ffff
145ffca:729::/36ffca:729:fff:ffff:ffff:ffff:ffff:ffff
146ffca:729:1000::/36ffca:729:1fff:ffff:ffff:ffff:ffff:ffff
147ffca:729:2000::/36ffca:729:2fff:ffff:ffff:ffff:ffff:ffff
148ffca:729:3000::/36ffca:729:3fff:ffff:ffff:ffff:ffff:ffff
149ffca:729:4000::/36ffca:729:4fff:ffff:ffff:ffff:ffff:ffff
150ffca:729:5000::/36ffca:729:5fff:ffff:ffff:ffff:ffff:ffff
151ffca:729:6000::/36ffca:729:6fff:ffff:ffff:ffff:ffff:ffff
152ffca:729:7000::/36ffca:729:7fff:ffff:ffff:ffff:ffff:ffff
153ffca:729:8000::/36ffca:729:8fff:ffff:ffff:ffff:ffff:ffff
154ffca:729:9000::/36ffca:729:9fff:ffff:ffff:ffff:ffff:ffff
155ffca:729:a000::/36ffca:729:afff:ffff:ffff:ffff:ffff:ffff
156ffca:729:b000::/36ffca:729:bfff:ffff:ffff:ffff:ffff:ffff
157ffca:729:c000::/36ffca:729:cfff:ffff:ffff:ffff:ffff:ffff
158ffca:729:d000::/36ffca:729:dfff:ffff:ffff:ffff:ffff:ffff
159ffca:729:e000::/36ffca:729:efff:ffff:ffff:ffff:ffff:ffff
160ffca:729:f000::/36ffca:729:ffff:ffff:ffff:ffff:ffff:ffff
161ffca:72a::/36ffca:72a:fff:ffff:ffff:ffff:ffff:ffff
162ffca:72a:1000::/36ffca:72a:1fff:ffff:ffff:ffff:ffff:ffff
163ffca:72a:2000::/36ffca:72a:2fff:ffff:ffff:ffff:ffff:ffff
164ffca:72a:3000::/36ffca:72a:3fff:ffff:ffff:ffff:ffff:ffff
165ffca:72a:4000::/36ffca:72a:4fff:ffff:ffff:ffff:ffff:ffff
166ffca:72a:5000::/36ffca:72a:5fff:ffff:ffff:ffff:ffff:ffff
167ffca:72a:6000::/36ffca:72a:6fff:ffff:ffff:ffff:ffff:ffff
168ffca:72a:7000::/36ffca:72a:7fff:ffff:ffff:ffff:ffff:ffff
169ffca:72a:8000::/36ffca:72a:8fff:ffff:ffff:ffff:ffff:ffff
170ffca:72a:9000::/36ffca:72a:9fff:ffff:ffff:ffff:ffff:ffff
171ffca:72a:a000::/36ffca:72a:afff:ffff:ffff:ffff:ffff:ffff
172ffca:72a:b000::/36ffca:72a:bfff:ffff:ffff:ffff:ffff:ffff
173ffca:72a:c000::/36ffca:72a:cfff:ffff:ffff:ffff:ffff:ffff
174ffca:72a:d000::/36ffca:72a:dfff:ffff:ffff:ffff:ffff:ffff
175ffca:72a:e000::/36ffca:72a:efff:ffff:ffff:ffff:ffff:ffff
176ffca:72a:f000::/36ffca:72a:ffff:ffff:ffff:ffff:ffff:ffff
177ffca:72b::/36ffca:72b:fff:ffff:ffff:ffff:ffff:ffff
178ffca:72b:1000::/36ffca:72b:1fff:ffff:ffff:ffff:ffff:ffff
179ffca:72b:2000::/36ffca:72b:2fff:ffff:ffff:ffff:ffff:ffff
180ffca:72b:3000::/36ffca:72b:3fff:ffff:ffff:ffff:ffff:ffff
181ffca:72b:4000::/36ffca:72b:4fff:ffff:ffff:ffff:ffff:ffff
182ffca:72b:5000::/36ffca:72b:5fff:ffff:ffff:ffff:ffff:ffff
183ffca:72b:6000::/36ffca:72b:6fff:ffff:ffff:ffff:ffff:ffff
184ffca:72b:7000::/36ffca:72b:7fff:ffff:ffff:ffff:ffff:ffff
185ffca:72b:8000::/36ffca:72b:8fff:ffff:ffff:ffff:ffff:ffff
186ffca:72b:9000::/36ffca:72b:9fff:ffff:ffff:ffff:ffff:ffff
187ffca:72b:a000::/36ffca:72b:afff:ffff:ffff:ffff:ffff:ffff
188ffca:72b:b000::/36ffca:72b:bfff:ffff:ffff:ffff:ffff:ffff
189ffca:72b:c000::/36ffca:72b:cfff:ffff:ffff:ffff:ffff:ffff
190ffca:72b:d000::/36ffca:72b:dfff:ffff:ffff:ffff:ffff:ffff
191ffca:72b:e000::/36ffca:72b:efff:ffff:ffff:ffff:ffff:ffff
192ffca:72b:f000::/36ffca:72b:ffff:ffff:ffff:ffff:ffff:ffff
193ffca:72c::/36ffca:72c:fff:ffff:ffff:ffff:ffff:ffff
194ffca:72c:1000::/36ffca:72c:1fff:ffff:ffff:ffff:ffff:ffff
195ffca:72c:2000::/36ffca:72c:2fff:ffff:ffff:ffff:ffff:ffff
196ffca:72c:3000::/36ffca:72c:3fff:ffff:ffff:ffff:ffff:ffff
197ffca:72c:4000::/36ffca:72c:4fff:ffff:ffff:ffff:ffff:ffff
198ffca:72c:5000::/36ffca:72c:5fff:ffff:ffff:ffff:ffff:ffff
199ffca:72c:6000::/36ffca:72c:6fff:ffff:ffff:ffff:ffff:ffff
200ffca:72c:7000::/36ffca:72c:7fff:ffff:ffff:ffff:ffff:ffff
201ffca:72c:8000::/36ffca:72c:8fff:ffff:ffff:ffff:ffff:ffff
202ffca:72c:9000::/36ffca:72c:9fff:ffff:ffff:ffff:ffff:ffff
203ffca:72c:a000::/36ffca:72c:afff:ffff:ffff:ffff:ffff:ffff
204ffca:72c:b000::/36ffca:72c:bfff:ffff:ffff:ffff:ffff:ffff
205ffca:72c:c000::/36ffca:72c:cfff:ffff:ffff:ffff:ffff:ffff
206ffca:72c:d000::/36ffca:72c:dfff:ffff:ffff:ffff:ffff:ffff
207ffca:72c:e000::/36ffca:72c:efff:ffff:ffff:ffff:ffff:ffff
208ffca:72c:f000::/36ffca:72c:ffff:ffff:ffff:ffff:ffff:ffff
209ffca:72d::/36ffca:72d:fff:ffff:ffff:ffff:ffff:ffff
210ffca:72d:1000::/36ffca:72d:1fff:ffff:ffff:ffff:ffff:ffff
211ffca:72d:2000::/36ffca:72d:2fff:ffff:ffff:ffff:ffff:ffff
212ffca:72d:3000::/36ffca:72d:3fff:ffff:ffff:ffff:ffff:ffff
213ffca:72d:4000::/36ffca:72d:4fff:ffff:ffff:ffff:ffff:ffff
214ffca:72d:5000::/36ffca:72d:5fff:ffff:ffff:ffff:ffff:ffff
215ffca:72d:6000::/36ffca:72d:6fff:ffff:ffff:ffff:ffff:ffff
216ffca:72d:7000::/36ffca:72d:7fff:ffff:ffff:ffff:ffff:ffff
217ffca:72d:8000::/36ffca:72d:8fff:ffff:ffff:ffff:ffff:ffff
218ffca:72d:9000::/36ffca:72d:9fff:ffff:ffff:ffff:ffff:ffff
219ffca:72d:a000::/36ffca:72d:afff:ffff:ffff:ffff:ffff:ffff
220ffca:72d:b000::/36ffca:72d:bfff:ffff:ffff:ffff:ffff:ffff
221ffca:72d:c000::/36ffca:72d:cfff:ffff:ffff:ffff:ffff:ffff
222ffca:72d:d000::/36ffca:72d:dfff:ffff:ffff:ffff:ffff:ffff
223ffca:72d:e000::/36ffca:72d:efff:ffff:ffff:ffff:ffff:ffff
224ffca:72d:f000::/36ffca:72d:ffff:ffff:ffff:ffff:ffff:ffff
225ffca:72e::/36ffca:72e:fff:ffff:ffff:ffff:ffff:ffff
226ffca:72e:1000::/36ffca:72e:1fff:ffff:ffff:ffff:ffff:ffff
227ffca:72e:2000::/36ffca:72e:2fff:ffff:ffff:ffff:ffff:ffff
228ffca:72e:3000::/36ffca:72e:3fff:ffff:ffff:ffff:ffff:ffff
229ffca:72e:4000::/36ffca:72e:4fff:ffff:ffff:ffff:ffff:ffff
230ffca:72e:5000::/36ffca:72e:5fff:ffff:ffff:ffff:ffff:ffff
231ffca:72e:6000::/36ffca:72e:6fff:ffff:ffff:ffff:ffff:ffff
232ffca:72e:7000::/36ffca:72e:7fff:ffff:ffff:ffff:ffff:ffff
233ffca:72e:8000::/36ffca:72e:8fff:ffff:ffff:ffff:ffff:ffff
234ffca:72e:9000::/36ffca:72e:9fff:ffff:ffff:ffff:ffff:ffff
235ffca:72e:a000::/36ffca:72e:afff:ffff:ffff:ffff:ffff:ffff
236ffca:72e:b000::/36ffca:72e:bfff:ffff:ffff:ffff:ffff:ffff
237ffca:72e:c000::/36ffca:72e:cfff:ffff:ffff:ffff:ffff:ffff
238ffca:72e:d000::/36ffca:72e:dfff:ffff:ffff:ffff:ffff:ffff
239ffca:72e:e000::/36ffca:72e:efff:ffff:ffff:ffff:ffff:ffff
240ffca:72e:f000::/36ffca:72e:ffff:ffff:ffff:ffff:ffff:ffff
241ffca:72f::/36ffca:72f:fff:ffff:ffff:ffff:ffff:ffff
242ffca:72f:1000::/36ffca:72f:1fff:ffff:ffff:ffff:ffff:ffff
243ffca:72f:2000::/36ffca:72f:2fff:ffff:ffff:ffff:ffff:ffff
244ffca:72f:3000::/36ffca:72f:3fff:ffff:ffff:ffff:ffff:ffff
245ffca:72f:4000::/36ffca:72f:4fff:ffff:ffff:ffff:ffff:ffff
246ffca:72f:5000::/36ffca:72f:5fff:ffff:ffff:ffff:ffff:ffff
247ffca:72f:6000::/36ffca:72f:6fff:ffff:ffff:ffff:ffff:ffff
248ffca:72f:7000::/36ffca:72f:7fff:ffff:ffff:ffff:ffff:ffff
249ffca:72f:8000::/36ffca:72f:8fff:ffff:ffff:ffff:ffff:ffff
250ffca:72f:9000::/36ffca:72f:9fff:ffff:ffff:ffff:ffff:ffff
251ffca:72f:a000::/36ffca:72f:afff:ffff:ffff:ffff:ffff:ffff
252ffca:72f:b000::/36ffca:72f:bfff:ffff:ffff:ffff:ffff:ffff
253ffca:72f:c000::/36ffca:72f:cfff:ffff:ffff:ffff:ffff:ffff
254ffca:72f:d000::/36ffca:72f:dfff:ffff:ffff:ffff:ffff:ffff
255ffca:72f:e000::/36ffca:72f:efff:ffff:ffff:ffff:ffff:ffff
256ffca:72f:f000::/36ffca:72f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses